package jalview.ws2.operations;

import jalview.ws.params.ParamDatastoreI;
import jalview.ws2.MenuEntryProviderI;

public interface Operation
{
  public String getName();
  
  public String getDescription();

  public String getTypeName();

  public String getHostName();
  
  public boolean hasParameters();
  
  public ParamDatastoreI getParamStore();

  public int getMinSequences();

  public int getMaxSequences();

  public boolean canSubmitGaps();

  public boolean isProteinOperation();

  public boolean isNucleotideOperation();

  public boolean isInteractive();

  public MenuEntryProviderI getMenuBuilder();

  public boolean isAlignmentAnalysis();
  
  public boolean getFilterNonStandardSymbols();
  
  public boolean getNeedsAlignedSequences();

}
